# Generated by Django 2.2.6 on 2019-10-17 15:08

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('database', '0008_auto_20191015_1258'),
    ]

    operations = [
        migrations.CreateModel(
            name='Observation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datetime', models.DateTimeField(blank=True, default=None, null=True, verbose_name='Date and time of observation')),
                ('freq', models.FloatField(blank=True, default=None, null=True, verbose_name='Observing frequancy')),
                ('duration', models.FloatField(blank=True, default=None, null=True, verbose_name='Duration in seconds')),
                ('pulse_number', models.IntegerField(blank=True, default=None, null=True, verbose_name='Number of pulses')),
            ],
        ),
        migrations.AddField(
            model_name='pulsar',
            name='observations',
            field=models.ManyToManyField(to='database.Observation'),
        ),
    ]
